Subject: bug#41043: closed (Re: bug#41043: ffmpeg 'depends' on qtbase)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 05 May 2020 04:11:01 +0000

Your bug report

#41043: ffmpeg 'depends' on qtbase

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41043: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41043
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41043: ffmpeg 'depends' on qtbase
From: Leo Famulari <[email-masked]>
To: Efraim Flashner <[email-masked]>
Cc: [email-masked]
Date: Tue, 5 May 2020 00:10:25 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, May 04, 2020 at 10:15:52AM +0300, Efraim Flashner wrote:
> not enough to drop it into master for updates. I saw it mostly where it
> comes to building on slow machines without substitutes. Since I'm
> building without substitutes I'll probably make a change somewhere
> locally.

Alright, closing

Subject: ffmpeg 'depends' on qtbase
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Date: Sun, 3 May 2020 11:41:49 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

qtbase seems like a rather heavy dependency for ffmpeg. After looking
through 'guix graph ffmpeg'

qtbase -> extra-cmake-modules -> fcitx -> sdl2 -> ffmpeg

What does sdl2 bring to ffmpeg?
(on a similar note, what does it bring to u-boot?)
'guix size ffmpeg'
with sdl2:    713.3 MiB
without sdl2: 699.2 MiB

https://ffmpeg.org/ffmpeg-devices.html#sdl

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted